# opkbuild
# tests/ob_parse_dep
# Tests for ob_parse_dep.
#
# Copyright (C) 2012 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

. ./common.sh

ob_use deps

ret=0
dep=
pkg=
archqual=
rel=
ver=
arches=

main()
{
	. ./ob_parse_dep.rc

	exit ${ret}
}

testcase()
{
	ob_parse_dep -p test_pkg -q test_archqual -r test_rel -v test_ver \
		-A test_arches "${dep}" >/dev/null

	for comp in pkg archqual rel ver arches; do
		test_comp="$(eval echo \"\$\{test_${comp}\}\")"
		good_comp="$(eval echo \"\$\{${comp}\}\")"
		if [ "${test_comp}" != "${good_comp}" ]; then
			printf 'Dependency "%s", component "%s":\n  "%s" != "%s"\n' \
				"${dep}" "${comp}" "${test_comp}" "${good_comp}" >&2
			ret=1
		fi
	done
}

main "${@}"
